Check accounts exist
GET/api/account/exists
Checks whether Volet.com accounts exist for one or more email addresses.
Use this method to check whether recipients have Volet.com accounts before you pay them with Transfer to Volet.com user.
- Pass one or more email addresses in
emailsToValidate. - To also check the account holder's name, use Match account holder.
Step by step: Optional: Validate Volet.com recipient accounts.
Request
Query Parameters
Responses
- 200
- 400
- 401
- 404
- 500
OK
- application/json
- Schema
- Example
Schema
- Array [
- ]
Present.
trueTransaction Score.
1Verified.
true[
{
"present": true,
"transactionScore": 1,
"verified": true
}
]
Bad request. The request is malformed or contains invalid parameters.
- application/json
- Schema
- Example
Schema
- Array [
- ]
Response status.
Possible values: [error]
errordata objectrequired
Error response payload.
errors object[]required
List of errors returned for the request.
Stable machine-readable error code.
disabledError category.
FORMShort unique error identifier for support and logs.
errTest1234Human-readable error description.
REQUESTED OPERATION IS DISABLED FOR THE MERCHANT APIRequest field related to the error, if any.
nullAdditional error parameters.
Request parameters captured for diagnostics.
{
"status": "error",
"data": {
"errors": [
{
"errorMessage": "disabled",
"errorType": "FORM",
"errorId": "errTest1234",
"errorDescription": "REQUESTED OPERATION IS DISABLED FOR THE MERCHANT API",
"errorField": null,
"params": [],
"requestParams": {}
}
]
}
}
Unauthorized. Merchant authentication headers are missing or invalid.
- application/json
- Schema
- Example
Schema
- Array [
- ]
Response status.
Possible values: [error]
errordata objectrequired
Error response payload.
errors object[]required
List of errors returned for the request.
Stable machine-readable error code.
userDoesNotExistExceptionError category.
GENERALShort unique error identifier for support and logs.
errTest1234Human-readable error description.
NOT FOUND API WITH ACCOUNT_EMAIL: [email protected]Request field related to the error, if any.
nullAdditional error parameters.
Request parameters captured for diagnostics.
{
"status": "error",
"data": {
"errors": [
{
"errorMessage": "userDoesNotExistException",
"errorType": "GENERAL",
"errorId": "errTest1234",
"errorField": null,
"params": [],
"requestParams": {}
}
]
}
}
Not found. The requested resource does not exist.
- application/json
- Schema
- Example
Schema
- Array [
- ]
Response status.
Possible values: [error]
errordata objectrequired
Error response payload.
errors object[]required
List of errors returned for the request.
Stable machine-readable error code.
resourceNotFoundError category.
GENERALShort unique error identifier for support and logs.
errTest1234Human-readable error description.
Resource not foundRequest field related to the error, if any.
nullAdditional error parameters.
Request parameters captured for diagnostics.
{
"status": "error",
"data": {
"errors": [
{
"errorMessage": "resourceNotFound",
"errorType": "GENERAL",
"errorId": "errTest1234",
"errorDescription": "Resource not found",
"errorField": null,
"params": [],
"requestParams": {}
}
]
}
}
Internal server error. Unexpected error please contact support
- application/json
- Schema
- Example
Schema
- Array [
- ]
Response status.
Possible values: [error]
errordata objectrequired
Error response payload.
errors object[]required
List of errors returned for the request.
Stable machine-readable error code.
internalServerErrorError category.
GENERALShort unique error identifier for support and logs.
errTest1234Human-readable error description.
Internal server errorRequest field related to the error, if any.
nullAdditional error parameters.
Request parameters captured for diagnostics.
{
"status": "error",
"data": {
"errors": [
{
"errorMessage": "internalServerError",
"errorType": "GENERAL",
"errorId": "errTest1234",
"errorDescription": "Internal server error",
"errorField": null,
"params": [],
"requestParams": {}
}
]
}
}